--__________         __    __  .__           ___________
--\______   \_____ _/  |__/  |_|  |   ____   \_   _____/__________
-- |    |  _/\__  \\   __\   __\  | _/ __ \   |    __)/  _ \_  __ \
-- |    |   \ / __ \|  |  |  | |  |_\  ___/   |     \(  <_> )  | \/
-- |______  /(____  /__|  |__| |____/\___  >  \___  / \____/|__|
--        \/      \/                     \/       \/
--   _____                     .___.__
--  /     \ _____    ____    __| _/|__| ____  ___________
-- /  \ /  \\__  \  /    \  / __ | |  |/ ___\/  _ \_  __ \
--/    Y    \/ __ \|   |  \/ /_/ | |  \  \__(  <_> )  | \/
--\____|__  (____  /___|  /\____ | |__|\___  >____/|__|
--        \/     \/     \/      \/         \/

--      anim.lua - Unit animations
--
--      (c) Copyright 2005 by Kimmo Merikivi
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

---------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------

--------
--	Basic meelee warriors
DefineAnimations("animations-footman",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   4,   0}},
  "move", {	-- #12, P32
    { 0, 3,   2,   5}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   10}, { 0, 3,   2,   5}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   5}},
  "attack", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,  10,   40}, { 3, 0,   1,   30}},
  "die", {	-- #107
    { 0, 0,   5,  45}, { 0, 0,   5,  50}, { 0, 0, 500,  55}, { 3, 0,   500,  60}})

DefineAnimations("animations-darkness-warrior",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   4,   0}},
  "move", {	-- #12, P32
    { 0, 4,   2,   5}, { 0, 4,   1,   10}, { 0, 4,   2,   15}, { 0, 4,   1,  20},
    { 0, 4,   2,  15}, { 0, 4,   1,  10}, { 0, 4,   1,  5}, { 3, 4,   1,   10}},
  "attack", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,  10,   40}, { 3, 0,   1,   30}},
  "die", {	-- #107
    { 0, 0,   8,  45}, { 0, 0,   8,  50}, { 0, 0, 500,  55}, { 3, 0,   500,  60}})

--------
-- Dragon's fire breathing
DefineAnimations("animations-dragon-breathing",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #4, P32
    { 0, 8,   2,   0}, { 0, 8,   3,   0}, { 0, 8,   3,   5}, { 3, 8,   3,   5}},
  "attack", {	-- #1
    { 12, 0,   3,   10}, { 3, 0,   3,   10}},
  "die", {
    { 3, 0,   1,   15}})

--------
--Flying dragon
DefineAnimations("animations-flying-dragon",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #4, P32
    { 0, 8,   2,   0}, { 0, 8,   2,   0}, { 0, 8,   2,   5}, { 3, 8,   2,   5}},
  "attack", {	-- #1
    { 12, 0,   10,   10}, { 3, 0,   10,   10}},
  "die", {
    { 3, 0,   1,   15}})
--------
--Biting dragon
DefineAnimations("animations-dragon",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #4, P32
    { 0, 8,   2,   0}, { 0, 8,   3,   0}, { 0, 8,   3,   5}, { 3, 8,   3,   5}},
  "attack", {	-- #1
    { 12, 0,   10,   10}, { 3, 0,   10,   10}},
  "die", {
    { 3, 0,   1,   15}})

-- Dwarves spearman
DefineAnimations("animations-spearman",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   4,   0}},
  "move", {	-- #12, P32
    { 0, 3,   1,   5}, { 0, 3,   1,   5}, { 0, 3,   1,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   10}, { 0, 3,   2,   5}, { 0, 3,   1,  15},
    { 0, 3,   1,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   5}},
  "attack", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,  10,   40}, { 3, 0,   1,   30}},
  "die", {	-- #107
    { 0, 0,   5,  45}, { 0, 0,   5,  50}, { 0, 0, 500,  55}, { 3, 0,   500,  60}})

DefineAnimations("animations-spearman-hero",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   4,   0}},
  "move", {	-- #12, P32
    { 0, 3,   1,   5}, { 0, 3,   1,   5}, { 0, 3,   1,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   10}, { 0, 3,   2,   5}, { 0, 3,   1,  15},
    { 0, 3,   1,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   5}},
  "attack", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   2,  40},
    { 0, 0,  5,   40}, { 3, 0,   1,   30}},
  "die", {	-- #107
    { 0, 0,   5,  45}, { 0, 0,   5,  50}, { 0, 0, 500,  55}, { 3, 0,   500,  60}})
    
DefineAnimations("animations-advanced-warrior",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   4,   0}},
  "move", {	-- #12, P32
    { 0, 3,   2,   5}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   10}, { 0, 3,   2,   5}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   5}},
  "attack", {	-- #25
    { 0, 0,   2,  25}, { 0, 0,   2,  30}, { 0, 0,   2,  35}, {12, 0,   2,  40},
    { 0, 0,  8,   40}, { 3, 0,   1,   30}},
  "die", {	-- #107
    { 0, 0,   5,  45}, { 0, 0,   5,  50}, { 0, 0, 500,  55}, { 3, 0,   500,  60}})

DefineAnimations("animations-warrior-hero",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   4,   0}},
  "move", {	-- #12, P32
    { 0, 3,   2,   5}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   10}, { 0, 3,   2,   5}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   5}},
  "attack", {	-- #25
    { 0, 0,   2,  25}, { 0, 0,   2,  30}, { 0, 0,   2,  35}, {12, 0,   2,  40},
    { 0, 0,  2,   40}, { 3, 0,   1,   30}},
  "die", {	-- #107
    { 0, 0,   5,  45}, { 0, 0,   5,  50}, { 0, 0, 500,  55}, { 3, 0,   500,  60}})

DefineAnimations("animations-dwarves-scout",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #12, P32
    { 0, 3,   1,   0}, { 0, 3,   1,   5}, { 0, 4,   1,   5}, { 0, 3,   1,  10},
    { 0, 3,   1,  10}, { 0, 3,   1,  15}, { 0, 4,   1,  15}, { 0, 3,   1,  20},
    { 0, 3,   1,  20}, { 3, 3,   1,   0}},
  "attack", {	-- #25
    { 0, 0,   3,  25}, { 12, 0,   3,  30}, { 12, 0,   3,  35}, {3, 0,   3,  40}},
  "die", {	-- #107
    { 0, 0,   3,  45}, { 0, 0,   3,  50}, { 0, 0, 500,  55}, { 3, 0,   500,  55}})
    
--------
--	Workers
DefineAnimations("animations-worker",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "harvest", "wood", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "harvest", "gold", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "harvest", "stone", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "harvest", "iron", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "harvest", "titanium", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "repair", {	-- #25
    { 0, 0,   3,  25}, { 0, 0,   3,  30}, { 0, 0,   3,  35}, {12, 0,   5,  40},
    { 0, 0,   3,  45}, { 0, 0,   7,  25}, { 3, 0,   1,  25}},
  "die", {	-- #107
    { 0, 0,   3,  50}, { 0, 0,   3,  55}, { 0, 0, 500,  60}, { 3, 0,   500,  60}})
    
    
--------
--	Fortress (Can attack)
DefineAnimations("animations-fortress",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "attack", {	-- #80
    {12, 0,  30,   0}, {12, 0,  30,   0}, { 3, 0,   1,   0}})


--------
--	Catapult
DefineAnimations("animations-catapult",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #32, P32
    { 0, 0,   1,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 3, 2,   1,   0}},
  "attack", {	-- #200
    {12, 0,   4,  15}, { 0, 0,   4,  10}, { 0, 0,   3,  15}, { 0, 0,   2,  10},
    { 0, 0,   2,  15}, { 0, 0,  30,  10}, { 0, 0,   4,  15}, { 0, 0, 100,  15},
    { 0, 0,  50,   0}, { 3, 0,   1,   0}})
    

--------
--	Dwarven ballista
DefineAnimations("animations-dwarves-ballista",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #32, P32
    { 0, 0,   1,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 0, 2,   2,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5},
    { 3, 2,   1,   0}},
  "attack", {	-- #200
    {12, 0,   4,  15}, { 0, 0,   4,  10}, { 0, 0,   3,  15}, { 0, 0,   2,  10},
    { 0, 0,   2,  15}, { 0, 0,  30,  10}, { 0, 0,   4,  15}, { 0, 0, 20,  15},
    { 0, 0,  20,   0}, { 3, 0,   20,   0}},
  "die", {
   { 0, 0,   1,   0}, { 0, 2,   2,   5}, { 0, 2,   2,   0}, { 0, 2,   2,   5}})


--------
--	Basic archers
DefineAnimations("animations-archer",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #65
    { 0, 0,  10,  25}, {12, 0,  10,  25}, { 0, 0,  44,   30}, { 3, 0,   1,   30}},
  "die", {	-- #107
    { 0, 0,   3,  35}, { 0, 0,   3,  40}, { 0, 0, 500,  45}, { 3, 0,   500,  45}})
    
--------
--	Advanced archers
DefineAnimations("animations-advanced-archer",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #65
    { 0, 0,  10,  25}, {12, 0,  10,  25}, { 0, 0,  44,   30}, { 3, 0,   1,   30}},
  "die", {	-- #107
    { 0, 0,   3,  35}, { 0, 0,   3,  40}, { 0, 0, 500,  45}, { 3, 0,   500,  45}})

DefineAnimations("animations-dwarves-crossbowman-hero",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #65
    { 0, 0,  4,  25}, {12, 0,  6,  25}, { 0, 0,  30,   30}, { 3, 0,   1,   30}},
  "die", {	-- #107
    { 0, 0,   3,  35}, { 0, 0,   3,  40}, { 0, 0, 500,  45}, { 3, 0,   500,  45}})

DefineAnimations("animations-dwarves-bowman-hero",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #16, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   1,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   1,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #65
    { 0, 0,  4,  25}, {12, 0,  6,  25}, { 0, 0,  15,   30}, { 3, 0,   1,   30}},
  "die", {	-- #107
    { 0, 0,   3,  35}, { 0, 0,   3,  40}, { 0, 0, 500,  45}, { 3, 0,   500,  45}})

--------
--	Mages like Wizard of Yendor
DefineAnimations("animations-mage",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #18, P32
    { 0, 3,   2,   0}, { 0, 3,   1,   5}, { 0, 3,   2,   5}, { 0, 2,   1,  10},
    { 0, 3,   2,  10}, { 0, 2,   1,   0}, { 0, 3,   2,   0}, { 0, 3,   1,  15},
    { 0, 3,   2,  15}, { 0, 2,   1,  20}, { 0, 3,   2,  20}, { 3, 2,   1,   0}},
  "attack", {	-- #20
    { 0, 0,   5,  25}, { 0, 0,   5,  30}, {12, 0,   7,  35}, { 0, 0,   5,  40},
    { 0, 0,  5,   0}, { 3, 0,   1,   0}},
  "die", {	-- #36
    { 0, 0,   5,  45}, { 0, 0,   5,  50}, { 0, 0,   5,  55}, { 0, 0,   5,  60},
    { 0, 0,   5,  65}, { 0, 0,   5,  70}, { 0, 0,   5,  75}, { 3, 0,   1,  75}})

--------
--	Transporter
DefineAnimations("animations-transporter",
  "still", {	-- #5
    { 0, 0,   5,   0}, { 3, 0,   5,   0}},
  "move", {	-- #16, P32
    { 0, 4,   2,   0}, { 0, 3,   2,   0}, { 0, 3,   2,   0},
    { 0, 4,   2,   0}, { 0, 4,   2,   0}, { 0, 3,   2,   0},
    { 0, 4,   2,   0}, { 0, 4,   2,   0}, { 3, 3,   2,   0}},
  "die", {	-- #101
    { 0, 0,  50,   0}, { 3, 0,  50,  0}})

DefineAnimations("animations-boat",
  "still", {	-- #5
    { 0, 0,   5,   0}, { 3, 0,   5,   0}},
  "move", {	-- #16, P32
    { 0, 4,   3,   0}, { 0, 3,   3,   0}, { 0, 3,   2,   0},
    { 0, 4,   3,   0}, { 0, 4,   3,   0}, { 0, 3,   2,   0},
    { 0, 4,   3,   0}, { 0, 4,   3,   0}, { 3, 3,   2,   0}},
  "die", {	-- #101
    { 0, 0,  50,   0}, { 3, 0,  50,  0}})


--------
--	Tux
DefineAnimations("animations-tux",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #10, P32
    { 0, 2,   2,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   5}, { 0, 2,   2,   5}, { 0, 2,   1,   5},
    { 0, 2,   1,   5}, { 0, 2,   1,   5}, { 0, 2,   1,   5}, { 0, 2,   1,   10},
    { 0, 2,   1,   10}, { 0, 2,   1,   10}, { 0, 2,   2,   10}, { 3, 2,   1,   10}},
  "attack", {	-- #115
    { 0, 0,  30,   5}, { 0, 0,  1,  10}, {12, 0,  1,  10}, { 0, 0,  1,   5},
    { 0, 0,  1,   0}, { 3, 0,   1,   0}},
  "die", {	-- #1
    { 3, 0,   1,   0}})

--------
--	Raven
DefineAnimations("animations-raven",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #4, P32
    { 0, 8,   2,   0}, { 0, 8,   2,   5}, { 0, 8,   2,   10}, { 3, 8,   2,   15}},
  "attack", {	-- #1
    { 12, 0,   5,   20}, { 3, 0,   5,   20}})

DefineAnimations("animations-demogorgon",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "move", {	-- #10, P32
    { 0, 2,   2,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   2,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   1,   0},
    { 0, 2,   1,   0}, { 0, 2,   1,   0}, { 0, 2,   2,   0}, { 3, 2,   1,   0}},
  "attack", {	-- #115
    { 0, 0,  30,   5}, { 0, 0,  1,  10}, { 12, 0,  1,   0}, { 3, 0,   1,   0}},
  "die", {	-- #1
    { 3, 0,   1,   0}})

--------
--	All buildings with no animations
DefineAnimations("animations-building",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}})

DefineAnimations("animations-trap",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   1,   0}},
  "attack", {
    { 3, 0,   10, 0}})

DefineAnimations("animations-dwarves-lumber-mill",
  "still", {	-- #5
    { 0, 0,   2,   10}, { 3, 0,   2,   11}, { 3, 0,   2,   12}, { 3, 0,   2,   13}, { 3, 0,   2,   14}})

DefineAnimations("animations-dwarves-shipyard",
  "still", {	-- #5
    { 0, 0,   2,   10}, { 3, 0,   2,   11}, { 3, 0,   2,   12}, { 3, 0,   2,   13}, { 3, 0,   2,   14}})

DefineAnimations("animations-whirl",
  "still", {
    { 0, 0,   2,   5}, { 3, 0,   2,   10}, { 3, 0,   2,   15}, { 3, 0,   2,   5}})


--------
--	Dead Body
DefineAnimations("animations-dead-body",
  "die", {	-- #201
    { 0, 0, 200,   0}, {16, 0, 200,  10}, { 0, 0, 200,  15}, { 0, 0, 200,  20},
    { 0, 0, 200,  25}, { 3, 0,   1,  25},
    --	Corpse:		Ships
    { 0, 0, 100,  30}, {16, 0, 100,  30}, { 3, 0,   1,  30}})

--------
--	Destroyed 1x1, Place, Destroyed 2x2, Place,
--	Destroyed 3x3, Place, Destroyed 4x4, Place
DefineAnimations("animations-destroyed-place",
  "die", {	-- #401
    --	Destroyed land site
    { 0, 0, 200,   0}, {16, 0, 200,   1}, { 3, 0,   1,   1},
    --	Destroyed water site
    { 0, 0, 200,   2}, {16, 0, 200,   3}, { 3, 0,   1,   3}})

DefineAnimations("animations-developer",
  "still", {	-- #5
    { 0, 0,   4,   0}, { 3, 0,   4,   0}},
  "move", {	-- #12, P32
    { 0, 4,   1,   5}, { 0, 4,   1,   5}, { 0, 4,   1,   5}, { 0, 4,   1,  10},
    { 0, 4,   1,  15}, { 0, 4,   1,  20}, { 0, 4,   1,  20}, { 3, 4,   1,   5}},
  "attack", {	-- #25
    { 12, 0,   1,  25}, { 12, 0,   1,  30}, { 12, 0,   1,  35}, {3, 0,   1,  40}},
  "die", {	-- #107
    { 0, 0,   5,  45}, { 0, 0,   5,  50}, { 0, 0, 500,  55}, { 3, 0,   500,  60}})
