--__________         __    __  .__           ___________
--\______   \_____ _/  |__/  |_|  |   ____   \_   _____/__________
-- |    |  _/\__  \\   __\   __\  | _/ __ \   |    __)/  _ \_  __ \
-- |    |   \ / __ \|  |  |  | |  |_\  ___/   |     \(  <_> )  | \/
-- |______  /(____  /__|  |__| |____/\___  >  \___  / \____/|__|
--        \/      \/                     \/       \/
--   _____                     .___.__
--  /     \ _____    ____    __| _/|__| ____  ___________
-- /  \ /  \\__  \  /    \  / __ | |  |/ ___\/  _ \_  __ \
--/    Y    \/ __ \|   |  \/ /_/ | |  \  \__(  <_> )  | \/
--\____|__  (____  /___|  /\____ | |__|\___  >____/|__|
--        \/     \/     \/      \/         \/

--      units.lua - Orcish units
--
--      (c) Copyright 2005 by Kimmo Merikivi
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--  
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

---------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------

--=============================================================================
--	Define unit-types.
--

DefineUnitType("unit-darkness-worker", { Name = "Worker",
  Files = {"tileset-summer", "darkness/units/worker.png"},
  Size = {72, 72},
  DrawLevel = 19,
  Animations = "animations-worker", Icon = "icon-darkness-worker",
  Costs = {"time", 30, "gold", 200},
  HitPoints = 30,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 2, ComputerReactionRange = 1, PersonReactionRange = 1,
  BasicDamage = 2, PiercingDamage = 2, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 50,
  Points = 30,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "harvest",
  CanAttack = true, RepairRange = 1,
  CanTargetLand = true,
  LandUnit = true,
  Coward = true,
  CanGatherResources = {
   {"file-when-loaded", "darkness/units/worker_with_gold.png",
    "resource-id", "gold",
    "resource-capacity", 100,
    "wait-at-resource", 175,
    "wait-at-depot", 200},
   {"file-when-loaded", "darkness/units/worker_with_wood.png",
    "resource-id", "wood",
    "resource-capacity", 100,
    "resource-step", 3,
    "wait-at-resource", 24,
    "wait-at-depot", 200,
    "terrain-harvester"}},
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "darkness-worker selected",
    "acknowledge", "darkness-worker acknowledge",
    "ready", "darkness-worker-ready",
    "harvest", "wood", "tree chopping",
    "help", "basic darkness voices help 1",
    "dead", "darkness die",
    "attack", "darkness-worker-attack"}})

DefineUnitType("unit-repairman", { Name = "Repairman",
  Files = {"tileset-summer", "darkness/units/worker.png"},
  Size = {72, 72},
  DrawLevel = 19,
  Animations = "animations-worker", Icon = "icon-darkness-worker",
  Costs = {"time", 20, "gold", 120},
  HitPoints = 40,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 4, ComputerReactionRange = 1, PersonReactionRange = 1,
  BasicDamage = 1, PiercingDamage = 2, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 40,
  Points = 20,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "move",
  CanAttack = false, RepairRange = 2,
  CanTargetLand = true,
  LandUnit = true,
  Coward = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "darkness-worker selected",
    "acknowledge", "darkness-worker acknowledge",
    "ready", "darkness-worker-ready",
    "help", "basic darkness voices help 1",
    "dead", "darkness die",
    "attack", "darkness-worker-attack"}})

DefineUnitType("unit-darkness-warrior", { Name = "Warrior",
  Files = {"tileset-summer", "darkness/units/darkness-warrior.png"},
  Size = {72, 72},
  Animations = "animations-darkness-warrior", Icon = "icon-darkness-warrior",
  Costs = {"time", 60, "gold", 300},
  HitPoints = 80,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 3, PersonReactionRange = 3,
  Armor = 3, BasicDamage = 5, PiercingDamage = 5, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 60,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "attack", "sword attack"}} )
    
DefineUnitType("unit-darkness-big-goblin", { Name = "Big goblin",
  Files = {"tileset-summer", "darkness/units/darkness-warrior.png"},
  Size = {72, 72},                                                       
  Animations = "animations-darkness-warrior", Icon = "icon-darkness-warrior",
  Costs = {"time", 80, "gold", 600},
  HitPoints = 140,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 3, PersonReactionRange = 3,
  Armor = 5, BasicDamage = 8, PiercingDamage = 8, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 60,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "dead", "dwarves die"}} )


DefineUnitType("unit-well-trained-goblin", { Name = "Well trained goblin",
  Files = {"tileset-summer", "darkness/units/darkness-warrior.png"},
  Size = {72, 72},
  Animations = "animations-advanced-warrior", Icon = "icon-darkness-warrior",
  Costs = {"time", 600, "gold", 600},
  HitPoints = 150,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 4, ComputerReactionRange = 3, PersonReactionRange = 3,
  Armor = 8, BasicDamage = 14, PiercingDamage = 5, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 66,
  Points = 88,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "attack", "sword attack"}} )

DefineUnitType("unit-big-goblin", { Name = "Big goblin",
  Files = {"tileset-summer", "darkness/units/darkness-warrior.png"},
  Size = {72, 72},
  Animations = "animations-darkness-warrior", Icon = "icon-darkness-warrior",
  Costs = {"time", 80, "gold", 600},
  HitPoints = 123,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 3, PersonReactionRange = 3,
  Armor = 6, BasicDamage = 11, PiercingDamage = 5, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 62,
  Points = 70,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "attack", "sword attack"}} )

DefineUnitType("unit-guard", { Name = "Guard",
  Files = {"tileset-summer", "darkness/units/darkness-warrior.png"},
  Size = {72, 72},
  Animations = "animations-darkness-warrior", Icon = "icon-darkness-warrior",
  Costs = {"time", 80, "gold", 400},
  HitPoints = 100,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 8, ComputerReactionRange = 8, PersonReactionRange = 8,
  Armor = 6, BasicDamage = 6, PiercingDamage = 6, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 60,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  RandomMovementProbability = 100,
  Sounds = {
    "attack", "sword attack"}} )

DefineUnitType("unit-ozug-guard", { Name = "Ozug guard",
  Files = {"tileset-summer", "darkness/units/darkness-spearman.png"},
  Size = {72, 72},
  Animations = "animations-darkness-warrior", Icon = "icon-darkness-spearman",
  Costs = {"time", 200, "gold", 1000},
  HitPoints = 210,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 10, ComputerReactionRange = 8, PersonReactionRange = 8,
  Armor = 8, BasicDamage = 12, PiercingDamage = 12, Missile = "missile-spear",
  MaxAttackRange = 4,
  Priority = 80,
  Points = 70,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "attack", "sword attack"}} )

DefineUnitType("unit-ozug", { Name = "Ozug",
  Files = {"tileset-summer", "darkness/units/darkness-warrior.png"},
  Size = {72, 72},
  Animations = "animations-warrior-hero", Icon = "icon-darkness-warrior",
  Costs = {"time", 12000, "gold", 10000},
  HitPoints = 720,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 15, ComputerReactionRange = 17, PersonReactionRange = 17,
  Armor = 12, BasicDamage = 12, PiercingDamage = 25, Missile = "missile-arrow",
  MaxAttackRange = 15,
  Priority = 500,
  Points = 2000,
  Demand = 1,
  RegenerationRate = 2,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "attack", "sword attack"}} )

DefineUnitType("unit-darkness-spearman", { Name = "Spearman",
  Files = {"tileset-summer", "darkness/units/darkness-spearman.png"},
  Size = {72, 72},
  Animations = "animations-darkness-warrior", Icon = "icon-darkness-spearman",
  Costs = {"time", 80, "gold", 500},
  HitPoints = 110,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 3, PersonReactionRange = 3,
  Armor = 5, BasicDamage = 8, PiercingDamage = 6, Missile = "missile-spear",
  MaxAttackRange = 3,
  Priority = 60,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "attack", "sword attack"}} )

DefineUnitType("unit-darkness-bowman", { Name = "Bowman",
  Files = {"tileset-summer", "darkness/units/bowman.png"},
  Size = {72, 72},
  Animations = "animations-archer", Icon = "icon-darkness-bowman",
  Costs = {"time", 100, "gold", 500, "wood", 50},
  HitPoints = 80,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 8, ComputerReactionRange = 8, PersonReactionRange = 8,
  Armor = 2, BasicDamage = 9, PiercingDamage = 9, Missile = "missile-arrow",
  MaxAttackRange = 10,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  CanTargetAir = true,
  CanTargetSea = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true } )

DefineUnitType("unit-tower-guard", { Name = "Tower guard",
  Files = {"tileset-summer", "darkness/units/bowman.png"},
  Size = {72, 72},
  Animations = "animations-archer", Icon = "icon-darkness-bowman",
  Costs = {"time", 100, "gold", 500, "wood", 50},
  HitPoints = 100,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 16, ComputerReactionRange = 15, PersonReactionRange = 15,
  Armor = 4, BasicDamage = 10, PiercingDamage = 12, Missile = "missile-arrow",
  MaxAttackRange = 14,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  CanTargetAir = true,
  CanTargetSea = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true } )

DefineUnitType("unit-bowman-hero", { Name = "Bowman hero",
  Files = {"tileset-summer", "darkness/units/bowman.png"},
  Size = {72, 72},
  Animations = "animations-dwarves-bowman-hero", Icon = "icon-darkness-bowman",
  Costs = {"time", 250, "gold", 2500, "wood", 1800, "iron", 600},
  HitPoints = 200,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 26, ComputerReactionRange = 25, PersonReactionRange = 25,
  Armor = 8, BasicDamage = 12, PiercingDamage = 22, Missile = "missile-arrow",
  MaxAttackRange = 24,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  CanTargetAir = true,
  CanTargetSea = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true } )

DefineUnitType("unit-wolf", { Name = "Wolf",
  Files = {"tileset-summer", "darkness/units/wolf.png"},
  Size = {72, 72},
  Animations = "animations-darkness-warrior", Icon = "icon-wolf",
  Costs = {"time", 500},
  HitPoints = 50,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 1, ComputerReactionRange = 2, PersonReactionRange = 2,
  Armor = 0, BasicDamage = 6, PiercingDamage = 3, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 60,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  RandomMovementProbability = 100})


DefineUnitType("unit-darkness-camp", { Name = "Camp",
  Files = {"tileset-summer", "darkness/buildings/camp.png"},
  Size = {256, 256},
  Animations = "animations-building", Icon = "icon-darkness-camp",
  Costs = {"time", 300, "gold", 1500, "wood", 250},
  RepairHp = 10,
  RepairCosts = {"gold", 3},
  Construction = "construction-darkness-camp",
  HitPoints = 1000,
  DrawLevel = 20,
  TileSize = {8, 8}, BoxSize = {252, 252},
  SightRange = 4,
  Armor = 5, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 35, AnnoyComputerFactor = 45,
  Points = 200,
  BuilderOutside = true,
  Supply = 10,
  CanStore = {"gold", "wood", "stone"},
  Corpse = {"unit-destroyed-8x8-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true} )

DefineUnitType("unit-darkness-farm", { Name = "Farm",
  Files = {"tileset-summer", "darkness/buildings/farm.png"},
  Size = {96, 96},
  Animations = "animations-building", Icon = "icon-darkness-farm",
  Costs = {"time", 75, "gold", 400, "wood", 150},
  RepairHp = 8,
  RepairCosts = {"gold", 3},
  Construction = "construction-darkness-farm",
  HitPoints = 200,
  DrawLevel = 20,
  TileSize = {3, 3}, BoxSize = {94, 94},
  SightRange = 2, ComputerReactionRange = 10, PersonReactionRange = 10,
  Armor = 5, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  MaxAttackRange = 10,
  Priority = 10, AnnoyComputerFactor = 45,
  Points = 200,
  BuilderOutside = true,
  Supply = 5,
  Corpse = {"unit-destroyed-3x3-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true} )

DefineUnitType("unit-darkness-garrison", { Name = "Garrison",
  Files = {"tileset-summer", "darkness/buildings/garrison.png"},
  Size = {160, 160},
  Animations = "animations-building", Icon = "icon-darkness-garrison",
  Costs = {"time", 300, "gold", 800, "wood", 250},
  RepairHp = 5,
  RepairCosts = {"gold", 5},
  Construction = "construction-darkness-garrison",
  HitPoints = 800,
  DrawLevel = 20,
  TileSize = {5, 5}, BoxSize = {158, 158},
  SightRange = 6,
  Armor = 10, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 45, AnnoyComputerFactor = 45,
  Points = 300,
  BuilderOutside = true,
  Supply = 3,
  Corpse = {"unit-destroyed-5x5-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

DefineUnitType("unit-darkness-blacksmith", { Name = "Blacksmith",
  Files = {"tileset-summer", "darkness/buildings/blacksmith.png"},
  Size = {160, 160},
  Animations = "animations-building", Icon = "icon-darkness-blacksmith",
  Costs = {"time", 400, "gold", 1000, "wood", 250},
  RepairHp = 5,
  RepairCosts = {"gold", 5},
  Construction = "construction-darkness-blacksmith",
  CanStore = {"iron"},
  HitPoints = 800,
  DrawLevel = 20,
  TileSize = {5, 5}, BoxSize = {158, 158},
  SightRange = 6,
  Armor = 10, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 45, AnnoyComputerFactor = 45,
  Points = 300,
  BuilderOutside = true,
  Supply = 3,
  Corpse = {"unit-destroyed-5x5-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

DefineUnitType("unit-darkness-lumber-storage", { Name = "Lumber storage",
  Files = {"tileset-summer", "darkness/buildings/lumber-storage.png"},
  Size = {160, 160},
  Animations = "animations-building", Icon = "icon-darkness-lumber-storage",
  Costs = {"time", 300, "gold", 1500, "wood", 100},
  RepairHp = 5,
  RepairCosts = {"gold", 5},
  Construction = "construction-darkness-lumber-storage",
  ImproveProduction = {"wood", 75},
  CanStore = {"wood"},
  HitPoints = 800,
  DrawLevel = 20,
  TileSize = {5, 5}, BoxSize = {158, 158},
  SightRange = 6,
  Armor = 10, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 45, AnnoyComputerFactor = 45,
  Points = 300,
  BuilderOutside = true,
  Corpse = {"unit-destroyed-5x5-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

DefineUnitType("unit-darkness-catapult", { Name = "Catapult",
  Files = {"tileset-summer", "darkness/units/catapult.png"},
  Size = {128, 128},
  Animations = "animations-catapult", Icon = "icon-darkness-catapult",
  Costs = {"time", 250, "gold", 900, "wood", 300},
  HitPoints = 500,
  DrawLevel = 45,
  TileSize = {4, 4}, BoxSize = {127, 127},
  SightRange = 10, ComputerReactionRange = 25, PersonReactionRange = 25,
  Armor = -10, BasicDamage = 500, PiercingDamage = 250, Missile = "missile-catapult-rock",
  MinAttackRange = 5, MaxAttackRange = 25,
  Priority = 700,
  Points = 1000,
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  LandUnit = true,
  RightMouseAction = "attack",
  CanGroundAttack = true,
  CanAttack = true,
  CanTargetLand = true, CanTargetSea = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "catapult-selected",
    "acknowledge", "catapult-acknowledge",
    "ready", "catapult-ready",
    "help", "basic mythical voices help 1",
    "dead", "explosion",
    "attack", "catapult-attack"} } )

DefineUnitType("unit-orc-wall", { Name = "Wall",
  Files = {"tileset-summer", "neutral/buildings/wall.png"},
  Size = {32, 32},
  Animations = "animations-building", Icon = "icon-wall",
  Costs = {"time", 30, "gold", 20, "wood", 10},
  Construction = "construction-wall",
  HitPoints = 255,
  DrawLevel = 39,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 1,
  Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 0, AnnoyComputerFactor = 45,
  Points = 1,
  Corpse = {"unit-destroyed-1x1-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true, 
  Sounds = {
    "selected", "darkness-wall-selected",
    "acknowledge", "darkness-wall-acknowledge",
    "ready", "darkness-wall-ready",
    "help", "basic darkness voices help 2",
    "dead", "building destroyed",
    "attack", "darkness-wall-attack"} } )

DefineUnitType("unit-darkness-start-location", { Name = "Start Location",
  Files = {"tileset-summer", "darkness/o_startpoint.png"},
  Size = {32, 32},
  Animations = "animations-building", Icon = "icon-cancel",
  NumDirections = 1,
  HitPoints = 1,
  DrawLevel = 0,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 0,
  BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 0,
  Demand = 0,
  Corpse = {"unit-destroyed-1x1-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Sounds = {
    "selected", "darkness-start-location-selected",
    "acknowledge", "darkness-start-location-acknowledge",
    "ready", "darkness-start-location-ready",
    "help", "basic darkness voices help 2",
    "dead", "building destroyed",
    "attack", "darkness-start-location-attack"} } )

DefineUnitType("unit-nasty-wolf", { Name = "Wolf",
  Files = {"tileset-summer", "darkness/units/wolf.png"},
  Size = {72, 72},
  Animations = "animations-darkness-warrior", Icon = "icon-wolf",
  Costs = {"time", 500},
  Speed = 10,
  HitPoints = 60,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 5, ComputerReactionRange = 100, PersonReactionRange = 100,
  Armor = 1, BasicDamage = 4, PiercingDamage = 3, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 60,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true})

DefineUnitType("unit-nasty-goblin", { Name = "Goblin",
  Files = {"tileset-summer", "darkness/units/darkness-warrior.png"},
  Size = {72, 72},
  Animations = "animations-darkness-warrior", Icon = "icon-darkness-warrior",
  Costs = {"time", 60, "gold", 300},
  Speed = 10,
  HitPoints = 50,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 100, PersonReactionRange = 100,
  Armor = 3, BasicDamage = 5, PiercingDamage = 3, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 60,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "attack", "sword attack"}} )

DefineUnitType("unit-goblin-guard", { Name = "Goblin",
  Files = {"tileset-summer", "darkness/units/darkness-warrior.png"},
  Size = {72, 72},
  Animations = "animations-darkness-warrior", Icon = "icon-darkness-warrior",
  Costs = {"time", 60, "gold", 300},
  Speed = 10,
  HitPoints = 80,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 15, PersonReactionRange = 15,
  Armor = 3, BasicDamage = 5, PiercingDamage = 5, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 60,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "attack", "sword attack"}} )

DefineUnitType("unit-goblin-bowman-guard", { Name = "Bowman",
  Files = {"tileset-summer", "darkness/units/bowman.png"},
  Size = {72, 72},
  Animations = "animations-archer", Icon = "icon-darkness-bowman",
  Costs = {"time", 100, "gold", 500, "wood", 50},
  Speed = 10,
  HitPoints = 80,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 8, ComputerReactionRange = 30, PersonReactionRange = 30,
  Armor = 2, BasicDamage = 5, PiercingDamage = 3, Missile = "missile-arrow",
  MaxAttackRange = 10,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  CanTargetAir = true,
  CanTargetSea = true,
  AttackFromTransporter = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true } )

DefineUnitType("unit-goblin-spearman-guard", { Name = "Spearman",
  Files = {"tileset-summer", "darkness/units/darkness-spearman.png"},
  Size = {72, 72},
  Animations = "animations-darkness-warrior", Icon = "icon-darkness-spearman",
  Costs = {"time", 80, "gold", 500},
  Speed = 10,
  HitPoints = 60,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 15, PersonReactionRange = 15,
  Armor = 5, BasicDamage = 6, PiercingDamage = 4, Missile = "missile-spear",
  MaxAttackRange = 3,
  Priority = 60,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "attack", "sword attack"}} )
