--__________         __    __  .__           ___________
--\______   \_____ _/  |__/  |_|  |   ____   \_   _____/__________
-- |    |  _/\__  \\   __\   __\  | _/ __ \   |    __)/  _ \_  __ \
-- |    |   \ / __ \|  |  |  | |  |_\  ___/   |     \(  <_> )  | \/
-- |______  /(____  /__|  |__| |____/\___  >  \___  / \____/|__|
--        \/      \/                     \/       \/
--   _____                     .___.__
--  /     \ _____    ____    __| _/|__| ____  ___________
-- /  \ /  \\__  \  /    \  / __ | |  |/ ___\/  _ \_  __ \
--/    Y    \/ __ \|   |  \/ /_/ | |  \  \__(  <_> )  | \/
--\____|__  (____  /___|  /\____ | |__|\___  >____/|__|
--        \/     \/     \/      \/         \/

--      units.lua - Dwarvish units
--
--      (c) Copyright 2005 by Kimmo Merikivi
--
--      This program is free software; you can redistribute it and/or modify
--      it under the terms of the GNU General Public License as published by
--      the Free Software Foundation; either version 2 of the License, or
--      (at your option) any later version.
--  
--      This program is distributed in the hope that it will be useful,
--      but WITHOUT ANY WARRANTY; without even the implied warranty of
--      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--      GNU General Public License for more details.
--
--      You should have received a copy of the GNU General Public License
--      along with this program; if not, write to the Free Software
--      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

---------------------------------------------------------------------------------------------
---------------------------------------------------------------------------------------------


--=============================================================================
--	Define unit-types.
--
--	NOTE: Save can generate this table.
--

DefineUnitType("unit-dwarves-lord", { Name = "Dwarf lord",
  Files = {"tileset-summer", "dwarves/units/lord.png"},
  Size = {72, 72},
  Animations = "animations-warrior-hero", Icon = "icon-dwarves-lord",
  Costs = {"time", 500, "gold", 7500, "iron", 5000},
  HitPoints = 750,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 10, ComputerReactionRange = 5, PersonReactionRange = 5,
  Armor = 25, BasicDamage = 35, PiercingDamage = 15, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 500,
  Points = 5000,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-advanced-warrior selected",
    "acknowledge", "dwarves-advanced-warrior acknowledge",
    "ready", "dwarves-advanced-warrior-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-kendago", { Name = "Kendago",
  Files = {"tileset-summer", "dwarves/units/lord.png"},
  Size = {72, 72},
  Animations = "animations-warrior-hero", Icon = "icon-dwarves-lord",
  Costs = {"time", 15000, "gold", 12000, "wood", 400, "iron", 8000},
  HitPoints = 760,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {32, 32},
  SightRange = 10, ComputerReactionRange = 5, PersonReactionRange = 5,
  Armor = 26, BasicDamage = 35, PiercingDamage = 16, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 500,
  Points = 2000,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-advanced-warrior selected",
    "acknowledge", "dwarves-advanced-warrior acknowledge",
    "ready", "dwarves-advanced-warrior-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-dwarves-warrior", { Name = "Warrior",
  Files = {"tileset-summer", "dwarves/units/dwarves-warrior.png"},
  Size = {72, 72},
  Animations = "animations-footman", Icon = "icon-dwarves-warrior",
  Costs = {"time", 100, "gold", 750},
  HitPoints = 120,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 3, PersonReactionRange = 3,
  Armor = 5, BasicDamage = 10, PiercingDamage = 5, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 60,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-warrior selected",
    "acknowledge", "dwarves-warrior acknowledge",
    "ready", "dwarves-warrior-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )
    
DefineUnitType("unit-dwarves-worker", { Name = "Worker",
  Files = {"tileset-summer", "dwarves/units/dwarves-worker.png"},
  Size = {72, 72},
  DrawLevel = 19,
  Animations = "animations-worker", Icon = "icon-dwarves-worker",
  Costs = {"time", 75, "gold", 400},
  HitPoints = 40,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 2, PersonReactionRange = 2,
  BasicDamage = 5, PiercingDamage = 2, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 50,
  Points = 30,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "harvest",
  CanAttack = true, RepairRange = 1,
  CanTargetLand = true,
  LandUnit = true,
  Coward = true,
  CanGatherResources = {
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_gold.png",
    "resource-id", "gold",
    "resource-capacity", 150,
    "wait-at-resource", 150,
    "wait-at-depot", 150},
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_wood.png",
    "resource-id", "wood",
    "resource-capacity", 200,
    "resource-step", 4,
    "wait-at-resource", 24,
    "wait-at-depot", 150,
    "terrain-harvester"}},
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-worker selected",
    "acknowledge", "dwarves-worker acknowledge",
    "ready", "dwarves-worker-ready",
    "harvest", "wood", "tree chopping",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "dwarves-worker-attack"}})

DefineUnitType("unit-dwarves-scout", { Name = "Scout",
  Files = {"tileset-summer", "dwarves/units/dwarves-scout.png"},
  Size = {72, 72},
  Animations = "animations-dwarves-scout", Icon = "icon-dwarves-scout",
  Costs = {"time", 125, "gold", 500},
  HitPoints = 60,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 6, ComputerReactionRange = 2, PersonReactionRange = 2,
  Armor = 2, BasicDamage = 5, PiercingDamage = 2, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 40,
  Points = 30,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-scout selected",
    "acknowledge", "dwarves-scout acknowledge",
    "ready", "dwarves-scout-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-hunter-captain", { Name = "Hunter captain",
  Files = {"tileset-summer", "dwarves/units/dwarves-bowman.png"},
  Size = {72, 72},
  Animations = "animations-dwarves-bowman-hero", Icon = "icon-dwarves-advanced-bowman",
  Costs = {"time", 180, "gold", 800},
  HitPoints = 100,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 6, ComputerReactionRange = 5, PersonReactionRange = 5,
  Armor = 3, BasicDamage = 6, PiercingDamage = 8, Missile = "missile-arrow",
  MaxAttackRange = 5,
  Priority = 40,
  Points = 30,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-bowman selected",
    "acknowledge", "dwarves-bowman acknowledge",
    "ready", "dwarves-bowman-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-hunter", { Name = "Hunter",
  Files = {"tileset-summer", "dwarves/units/dwarves-bowman.png"},
  Size = {72, 72},
  Animations = "animations-dwarves-bowman-hero", Icon = "icon-dwarves-bowman",
  Costs = {"time", 150, "gold", 650},
  HitPoints = 95,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 6, ComputerReactionRange = 5, PersonReactionRange = 5,
  Armor = 2, BasicDamage = 5, PiercingDamage = 6, Missile = "missile-arrow",
  MaxAttackRange = 5,
  Priority = 40,
  Points = 30,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-bowman selected",
    "acknowledge", "dwarves-bowman acknowledge",
    "ready", "dwarves-bowman-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-dwarves-scout-hero", { Name = "Scout hero",
  Files = {"tileset-summer", "dwarves/units/dwarves-scout-hero.png"},
  Size = {72, 72},
  Animations = "animations-dwarves-scout", Icon = "icon-dwarves-scout-hero",
  Costs = {"time", 400, "gold", 3000, "iron", 1000},
  HitPoints = 350,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 20, ComputerReactionRange = 10, PersonReactionRange = 10,
  Armor = 15, BasicDamage = 20, PiercingDamage = 10, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 40,
  Points = 30,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-scout selected",
    "acknowledge", "dwarves-scout acknowledge",
    "ready", "dwarves-scout-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )
    
DefineUnitType("unit-dwarves-bowman", { Name = "Bowman",
  Files = {"tileset-summer", "dwarves/units/dwarves-bowman.png"},
  Size = {72, 72},
  Animations = "animations-archer", Icon = "icon-dwarves-bowman",
  Costs = {"time", 125, "gold", 750, "wood", 100},
  HitPoints = 80,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 7, ComputerReactionRange = 6, PersonReactionRange = 6,
  Armor = 3, BasicDamage = 6, PiercingDamage = 8, Missile = "missile-arrow",
  MaxAttackRange = 8,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  CanTargetAir = true,
  CanTargetSea = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-bowman selected",
    "acknowledge", "dwarves-bowman acknowledge",
    "ready", "dwarves-bowman-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-dwarves-advanced-bowman", { Name = "Advanced bowman",
  Files = {"tileset-summer", "dwarves/units/dwarves-bowman.png"},
  Size = {72, 72},
  Animations = "animations-advanced-archer", Icon = "icon-dwarves-advanced-bowman",
  Costs = {"time", 125, "gold", 750, "wood", 100},
  HitPoints = 90,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 10, ComputerReactionRange = 9, PersonReactionRange = 9,
  Armor = 4, BasicDamage = 8, PiercingDamage = 8, Missile = "missile-arrow",
  MaxAttackRange = 10,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  CanTargetAir = true,
  CanTargetSea = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-bowman selected",
    "acknowledge", "dwarves-bowman acknowledge",
    "ready", "dwarves-bowman-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-dwarves-crossbowman", { Name = "Crossbowman",
  Files = {"tileset-summer", "dwarves/units/crossbowman.png"},
  Size = {72, 72},
  Animations = "animations-archer", Icon = "icon-dwarves-crossbowman",
  Costs = {"time", 150, "gold", 750, "wood", 200, "iron", 50},
  HitPoints = 110,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 12, ComputerReactionRange = 14, PersonReactionRange = 14,
  Armor = 5, BasicDamage = 6, PiercingDamage = 10, Missile = "missile-arrow",
  MaxAttackRange = 12,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  CanTargetAir = true,
  CanTargetSea = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-bowman selected",
    "acknowledge", "dwarves-bowman acknowledge",
    "ready", "dwarves-bowman-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )
    
DefineUnitType("unit-dwarves-swordman", { Name = "Swordman",
  Files = {"tileset-summer", "dwarves/units/swordman.png"},
  Size = {72, 72},
  Animations = "animations-footman", Icon = "icon-dwarves-swordman",
  Costs = {"time", 100, "gold", 750},
  HitPoints = 130,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 3, PersonReactionRange = 3,
  Armor = 6, BasicDamage = 12, PiercingDamage = 5, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 65,
  Points = 60,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-warrior selected",
    "acknowledge", "dwarves-warrior acknowledge",
    "ready", "dwarves-warrior-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )
    
DefineUnitType("unit-dwarves-spearman", { Name = "Spearman",
  Files = {"tileset-summer", "dwarves/units/spearman.png"},
  Size = {72, 72},
  Animations = "animations-spearman", Icon = "icon-dwarves-spearman",
  Costs = {"time", 150, "gold", 750, "iron", 200},
  HitPoints = 160,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 6, ComputerReactionRange = 6, PersonReactionRange = 6,
  Armor = 8, BasicDamage = 8, PiercingDamage = 10, Missile = "missile-spear",
  MaxAttackRange = 3,
  Priority = 65,
  Points = 60,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-warrior selected",
    "acknowledge", "dwarves-warrior acknowledge",
    "ready", "dwarves-warrior-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-dwarves-advanced-warrior", { Name = "Advanced warrior",
  Files = {"tileset-summer", "dwarves/units/advanced-warrior.png"},
  Size = {72, 72},
  Animations = "animations-advanced-warrior", Icon = "icon-dwarves-advanced-warrior",
  Costs = {"time", 200, "gold", 1250, "iron", 300},
  HitPoints = 200,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 4, ComputerReactionRange = 4, PersonReactionRange = 4,
  Armor = 10, BasicDamage = 20, PiercingDamage = 5, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 70,
  Points = 100,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-advanced-warrior selected",
    "acknowledge", "dwarves-advanced-warrior acknowledge",
    "ready", "dwarves-advanced-warrior-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )
    
DefineUnitType("unit-dwarves-warrior-hero", { Name = "Warrior hero",
  Files = {"tileset-summer", "dwarves/units/warrior-hero.png"},
  Size = {72, 72},
  Animations = "animations-warrior-hero", Icon = "icon-dwarves-warrior-hero",
  Costs = {"time", 300, "gold", 2500, "iron", 1000},
  HitPoints = 400,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 4, ComputerReactionRange = 4, PersonReactionRange = 4,
  Armor = 20, BasicDamage = 30, PiercingDamage = 10, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 70,
  Points = 100,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-advanced-warrior selected",
    "acknowledge", "dwarves-advanced-warrior acknowledge",
    "ready", "dwarves-advanced-warrior-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-dwarves-spearman-hero", { Name = "Spearman hero",
  Files = {"tileset-summer", "dwarves/units/spearman-hero.png"},
  Size = {72, 72},
  Animations = "animations-spearman-hero", Icon = "icon-dwarves-spearman-hero",
  Costs = {"time", 400, "gold", 3000, "iron", 2000},
  HitPoints = 600,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 8, ComputerReactionRange = 6, PersonReactionRange = 6,
  Armor = 22, BasicDamage = 30, PiercingDamage = 15, Missile = "missile-spear",
  MaxAttackRange = 3,
  Priority = 65,
  Points = 60,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-warrior selected",
    "acknowledge", "dwarves-warrior acknowledge",
    "ready", "dwarves-warrior-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-dwarves-bowman-hero", { Name = "Bowman hero",
  Files = {"tileset-summer", "dwarves/units/bowman-hero.png"},
  Size = {72, 72},
  Animations = "animations-dwarves-bowman-hero", Icon = "icon-dwarves-bowman-hero",
  Costs = {"time", 400, "gold", 5000, "wood", 5000, "iron", 1000},
  HitPoints = 300,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 25, ComputerReactionRange = 22, PersonReactionRange = 22,
  Armor = 15, BasicDamage = 10, PiercingDamage = 25, Missile = "missile-arrow",
  MaxAttackRange = 22,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  CanTargetAir = true,
  CanTargetSea = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-bowman selected",
    "acknowledge", "dwarves-bowman acknowledge",
    "ready", "dwarves-bowman-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-dwarves-crossbowman-hero", { Name = "Crossbowman hero",
  Files = {"tileset-summer", "dwarves/units/crossbowman-hero.png"},
  Size = {72, 72},
  Animations = "animations-dwarves-crossbowman-hero", Icon = "icon-dwarves-crossbowman-hero",
  Costs = {"time", 400, "gold", 5000, "wood", 5000, "iron", 1000},
  HitPoints = 300,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 30, ComputerReactionRange = 28, PersonReactionRange = 28,
  Armor = 18, BasicDamage = 15, PiercingDamage = 30, Missile = "missile-arrow",
  MaxAttackRange = 28,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  CanTargetAir = true,
  CanTargetSea = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-bowman selected",
    "acknowledge", "dwarves-bowman acknowledge",
    "ready", "dwarves-bowman-ready",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "sword attack"} } )

DefineUnitType("unit-dwarves-advanced-worker", { Name = "Advanced worker",
  Files = {"tileset-summer", "dwarves/units/dwarves-worker.png"},
  Size = {72, 72},
  DrawLevel = 40,
  Animations = "animations-worker", Icon = "icon-dwarves-advanced-worker",
  Costs = {"time", 75, "gold", 400},
  HitPoints = 50,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 2, PersonReactionRange = 2,
  BasicDamage = 7, PiercingDamage = 2, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 50,
  Points = 30,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "harvest",
  CanAttack = true, RepairRange = 1,
  CanTargetLand = true,
  LandUnit = true,
  Coward = true,
  CanGatherResources = {
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_gold.png",
    "resource-id", "gold",
    "resource-capacity", 200,
    "wait-at-resource", 150,
    "wait-at-depot", 150},
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_stone.png",
    "resource-id", "stone",
    "harvest-from-outside",
    "resource-capacity", 100,
    "wait-at-resource", 100,
    "wait-at-depot", 200},
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_iron.png",
    "resource-id", "iron",
    "resource-capacity", 150,
    "wait-at-resource", 150,
    "wait-at-depot", 200},
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_titanium.png",
    "resource-id", "titanium",
    "resource-capacity", 25,
    "wait-at-resource", 750,
    "wait-at-depot", 500},
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_wood.png",
    "resource-id", "wood",
    "resource-capacity", 200,
    "resource-step", 6,
    "wait-at-resource", 24,
    "wait-at-depot", 150,
    "terrain-harvester"}},
  organic = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-worker selected",
    "acknowledge", "dwarves-worker acknowledge",
    "ready", "dwarves-worker-ready",
    "harvest", "wood", "tree chopping",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "dwarves-worker-attack"}})

DefineUnitType("unit-dwarves-advanced-worker2", { Name = "Advanced worker",
  Files = {"tileset-summer", "dwarves/units/dwarves-worker.png"},
  Size = {72, 72},
  DrawLevel = 40,
  Animations = "animations-worker", Icon = "icon-dwarves-advanced-worker2",
  Costs = {"time", 75, "gold", 400},
  HitPoints = 100,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 5, ComputerReactionRange = 2, PersonReactionRange = 2,
  Armor = 4, BasicDamage = 10, PiercingDamage = 4, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 50,
  Points = 30,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "harvest",
  CanAttack = true, RepairRange = 1,
  CanTargetLand = true,
  LandUnit = true,
  CanGatherResources = {
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_gold.png",
    "resource-id", "gold",
    "resource-capacity", 300,
    "wait-at-resource", 100,
    "wait-at-depot", 100},
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_stone.png",
    "resource-id", "stone",
    "harvest-from-outside",
    "resource-capacity", 200,
    "wait-at-resource", 100,
    "wait-at-depot", 150},
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_iron.png",
    "resource-id", "iron",
    "resource-capacity", 250,
    "wait-at-resource", 150,
    "wait-at-depot", 100},
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_titanium.png",
    "resource-id", "titanium",
    "resource-capacity", 25,
    "wait-at-resource", 750,
    "wait-at-depot", 500},
   {"file-when-loaded", "dwarves/units/dwarves-worker_with_wood.png",
    "resource-id", "wood",
    "resource-capacity", 300,
    "resource-step", 10,
    "wait-at-resource", 24,
    "wait-at-depot", 100,
    "terrain-harvester"}},
  organic = true,
  CanCastSpell = {
      "spell-hard-strike"},
  MaxMana = 100,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "dwarves-worker selected",
    "acknowledge", "dwarves-worker acknowledge",
    "ready", "dwarves-worker-ready",
    "harvest", "wood", "tree chopping",
    "help", "basic dwarves voices help 1",
    "dead", "dwarves die",
    "attack", "dwarves-worker-attack"}})


DefineUnitType("unit-dwarves-healer", { Name = "Healer",
  Files = {"tileset-summer", "dwarves/units/dwarves-healer.png"},
  Size = {72, 72},
  Animations = "animations-worker", Icon = "icon-dwarves-healer",
  Costs = {"time", 350, "gold", 3000},
  HitPoints = 80,
  MaxMana = 500,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {33, 33},
  SightRange = 10, ComputerReactionRange = 1, PersonReactionRange = 1,
  Armor = 5, BasicDamage = 5, PiercingDamage = 2, Missile = "missile-none",
  RegenerationRate = 2,
  MaxAttackRange = 1,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "move",
  CanAttack = true,
  CanTargetLand = true,
  CanCastSpell = {
      "spell-fury",
      "spell-healing2",
      "spell-healing"},
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true } )

DefineUnitType("unit-dwarves-healer-hero", { Name = "Healer hero",
  Files = {"tileset-summer", "dwarves/units/dwarves-healer-hero.png"},
  Size = {72, 72},
  Animations = "animations-worker", Icon = "icon-dwarves-healer-hero",
  Costs = {"time", 800, "gold", 15000},
  HitPoints = 250,
  MaxMana = 1000,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {33, 33},
  SightRange = 10, ComputerReactionRange = 1, PersonReactionRange = 1,
  Armor = 10, BasicDamage = 5, PiercingDamage = 2, Missile = "missile-none",
  RegenerationRate = 10,
  MaxAttackRange = 1,
  Priority = 50,
  Points = 50,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "move",
  CanAttack = true,
  CanTargetLand = true,
  CanCastSpell = {
      "spell-fury2",
      "spell-healing3"},
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true } )

DefineUnitType("unit-raven", { Name = "Raven",
  Files = {"tileset-summer", "dwarves/units/raven.png"},
  Size = {32, 32},
  Animations = "animations-raven", Icon = "icon-raven",
  Costs = {"time", 500},
  HitPoints = 20,
  DrawLevel = 60,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 3, ComputerReactionRange = 1, PersonReactionRange = 1,
  Armor = 5, BasicDamage = 1, PiercingDamage = 1, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 20,
  Points = 50,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "move",
  CanAttack = false,
  CanTargetLand = false,
  AirUnit = true,
  Type = "fly",
  organic = true,
  RandomMovementProbability = 100,
  SelectableByRectangle = true} )

DefineUnitType("unit-dwarves-boat", { Name = "Boat",
  Files = {"tileset-summer", "dwarves/units/dwarves-boat.png"},
  Size = {128, 128},
  Animations = "animations-boat", Icon = "icon-dwarves-boat",
  Costs = {"time", 400, "wood", 500, "gold", 500},
  RepairHp = 4,
  RepairCosts = {"gold", 1, "wood", 1},
  HitPoints = 600,
  DrawLevel = 40,
  TileSize = {4, 4}, BoxSize = {126, 126},
  SightRange = 5, ComputerReactionRange = 1, PersonReactionRange = 1,
  Armor = 5, BasicDamage = 1, PiercingDamage = 1, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 100,  Points = 500,
  RightMouseAction = "move",
  CanAttack = false,
  CanTargetLand = false,
  SeaUnit = true,
  Type = "naval",
  Transporter = true,
  MaxOnBoard = 6,
  SelectableByRectangle = true} )

DefineUnitType("unit-dwarves-transporter", { Name = "Transporter",
  Files = {"tileset-summer", "dwarves/units/transporter.png"},
  Size = {128, 128},
  Animations = "animations-transporter", Icon = "icon-dwarves-transporter",
  Costs = {"time", 600, "wood", 4000, "gold", 2000},
  RepairHp = 4,
  RepairCosts = {"gold", 1, "wood", 1},
  HitPoints = 1200,
  DrawLevel = 40,
  TileSize = {4, 4}, BoxSize = {126, 126},
  SightRange = 5, ComputerReactionRange = 1, PersonReactionRange = 1,
  Armor = 20, BasicDamage = 1, PiercingDamage = 1, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 100,  Points = 500,
  RightMouseAction = "move",
  CanAttack = false,
  CanTargetLand = false,
  SeaUnit = true,
  Type = "naval",
  Transporter = true,
  MaxOnBoard = 12,
  AttackFromTransporter = true,
  SelectableByRectangle = true} )

if (cartoonish_graphics) then
DefineUnitType("unit-dwarves-boat", { Name = "Boat",
  Files = {"tileset-summer", "cartoonish/dwarves/units/dwarves-boat.png"},
  Size = {128, 128},
  Animations = "animations-boat", Icon = "icon-dwarves-boat",
  Costs = {"time", 400, "wood", 500, "gold", 500},
  RepairHp = 4,
  RepairCosts = {"gold", 1, "wood", 1},
  HitPoints = 600,
  DrawLevel = 40,
  TileSize = {4, 4}, BoxSize = {126, 126},
  SightRange = 5, ComputerReactionRange = 1, PersonReactionRange = 1,
  Armor = 5, BasicDamage = 1, PiercingDamage = 1, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 100,  Points = 500,
  RightMouseAction = "move",
  CanAttack = false,
  CanTargetLand = false,
  SeaUnit = true,
  Type = "naval",
  Transporter = true,
  MaxOnBoard = 6,
  SelectableByRectangle = true} )

DefineUnitType("unit-dwarves-transporter", { Name = "Transporter",
  Files = {"tileset-summer", "cartoonish/dwarves/units/transporter.png"},
  Size = {128, 128},
  Animations = "animations-transporter", Icon = "icon-dwarves-transporter",
  Costs = {"time", 600, "wood", 4000, "gold", 2000},
  RepairHp = 4,
  RepairCosts = {"gold", 1, "wood", 1},
  HitPoints = 1200,
  DrawLevel = 40,
  TileSize = {4, 4}, BoxSize = {126, 126},
  SightRange = 5, ComputerReactionRange = 1, PersonReactionRange = 1,
  Armor = 20, BasicDamage = 1, PiercingDamage = 1, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 100,  Points = 500,
  RightMouseAction = "move",
  CanAttack = false,
  CanTargetLand = false,
  SeaUnit = true,
  Type = "naval",
  Transporter = true,
  MaxOnBoard = 12,
  AttackFromTransporter = true,
  SelectableByRectangle = true} )
end
DefineUnitType("unit-dwarves-ballista", { Name = "Ballista",
  Files = {"tileset-summer", "dwarves/units/ballista.png"},
  Size = {128, 128},
  Animations = "animations-dwarves-ballista", Icon = "icon-dwarves-ballista",
  Costs = {"time", 750, "gold", 5000, "wood", 1000, "iron", 1000},
  HitPoints = 500,
  DrawLevel = 40,
  TileSize = {4, 4}, BoxSize = {127, 127},
  SightRange = 5, ComputerReactionRange = 25, PersonReactionRange = 25,
  Armor = -50, BasicDamage = 75, PiercingDamage = 250, Missile = "missile-ballista",
  MinAttackRange = 5, MaxAttackRange = 25,
  Priority = 700,
  Points = 1000,
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  LandUnit = true,
  RightMouseAction = "attack",
  CanGroundAttack = true,
  CanAttack = true,
  CanTargetLand = true, CanTargetSea = true, CanTargetAir = true,
  SelectableByRectangle = true,
  Sounds = {
    "selected", "catapult-selected",
    "acknowledge", "catapult-acknowledge",
    "ready", "catapult-ready",
    "help", "basic mythical voices help 1",
    "dead", "explosion",
    "attack", "catapult-attack"} } )

DefineUnitType("unit-dwarves-town-center", { Name = "Town center",
  Files = {"tileset-summer", "dwarves/buildings/town-center.png"},
  Size = {256, 256},
  Animations = "animations-building", Icon = "icon-dwarves-town-center",
  Costs = {"time", 400, "gold", 2500, "wood", 500},
  RepairHp = 10,
  RepairCosts = {"gold", 3},
  Construction = "construction-dwarves-town-center",
  HitPoints = 2200,
  DrawLevel = 20,
  TileSize = {8, 8}, BoxSize = {252, 252},
  SightRange = 4,
  Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 35, AnnoyComputerFactor = 45,
  Points = 200,
  BuilderOutside = true,
  Supply = 10,
  CanStore = {"gold", "wood", "stone"},
  Corpse = {"unit-destroyed-8x8-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

if (cartoonish_graphics) then
  DefineUnitType("unit-dwarves-town-center", { Name = "Town center",
    Files = {"tileset-summer", "cartoonish/dwarves/buildings/town-center.png"},
    Size = {256, 256},
    Animations = "animations-building", Icon = "icon-dwarves-town-center",
    Costs = {"time", 400, "gold", 2500, "wood", 500},
    RepairHp = 10,
    RepairCosts = {"gold", 3},
    Construction = "construction-dwarves-town-center",
    HitPoints = 2200,
    DrawLevel = 20,
    TileSize = {8, 8}, BoxSize = {252, 252},
    SightRange = 4,
    Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
    Priority = 35, AnnoyComputerFactor = 45,
    Points = 200,
    BuilderOutside = true,
    Supply = 10,
    CanStore = {"gold", "wood", "stone"},
    Corpse = {"unit-destroyed-8x8-place", 0},
    ExplodeWhenKilled = "missile-explosion",
    Type = "land",
    Building = true, VisibleUnderFog = true } )
end

DefineUnitType("unit-dwarves-guard-tower", { Name = "Guard tower",
  Files = {"tileset-summer", "dwarves/buildings/guard-tower.png"},
  Size = {160, 160},
  Animations = "animations-building", Icon = "icon-dwarves-guard-tower",
  Costs = {"time", 300, "gold", 1200, "wood", 100},
  RepairHp = 2,
  RepairCosts = {"gold", 3},
  Construction = "construction-dwarves-guard-tower",
  HitPoints = 1200,
  DrawLevel = 20,
  TileSize = {5, 5}, BoxSize = {158, 158},
  SightRange = 5,
  Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 45, AnnoyComputerFactor = 45,
  Points = 250,
  BuilderOutside = true,
  Supply = 2,
  Corpse = {"unit-destroyed-5x5-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true, 
  Sounds = {
    "selected", "dwarves-barracks-selected"} } )
    
DefineUnitType("unit-dwarves-barracks", { Name = "Barracks",
  Files = {"tileset-summer", "dwarves/buildings/barracks.png"},
  Size = {192, 192},
  Animations = "animations-building", Icon = "icon-dwarves-barracks",
  Costs = {"time", 300, "gold", 1500, "wood", 250, "iron", 200, "stone", 100},
  RepairHp = 5,
  RepairCosts = {"gold", 5, "iron", 2},
  Construction = "construction-dwarves-barracks",
  HitPoints = 1600,
  DrawLevel = 20,
  TileSize = {6, 6}, BoxSize = {190, 190},
  SightRange = 6,
  Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 45, AnnoyComputerFactor = 45,
  Points = 300,
  BuilderOutside = true,
  Supply = 3,
  Corpse = {"unit-destroyed-6x6-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-barracks-selected"} } )

if (cartoonish_graphics) then
DefineUnitType("unit-dwarves-barracks", { Name = "Barracks",
  Files = {"tileset-summer", "cartoonish/dwarves/buildings/barracks.png"},
  Size = {192, 192},
  Animations = "animations-building", Icon = "icon-dwarves-barracks",
  Costs = {"time", 300, "gold", 1500, "wood", 250, "iron", 200, "stone", 100},
  RepairHp = 5,
  RepairCosts = {"gold", 5, "iron", 2},
  Construction = "construction-dwarves-barracks",
  HitPoints = 1600,
  DrawLevel = 20,
  TileSize = {6, 6}, BoxSize = {190, 190},
  SightRange = 6,
  Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 45, AnnoyComputerFactor = 45,
  Points = 300,
  BuilderOutside = true,
  Supply = 3,
  Corpse = {"unit-destroyed-6x6-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-barracks-selected"} } )
end

DefineUnitType("unit-dwarves-cottage", { Name = "Cottage",
  Files = {"tileset-summer", "dwarves/buildings/cottage.png"},
  Size = {96, 96},
  Animations = "animations-building", Icon = "icon-dwarves-cottage",
  Costs = {"time", 100, "gold", 600, "wood", 200},
  RepairHp = 5,
  RepairCosts = {"gold", 3},
  Construction = "construction-dwarves-cottage",
  HitPoints = 800,
  DrawLevel = 20,
  TileSize = {3, 3}, BoxSize = {94, 94},
  SightRange = 2, ComputerReactionRange = 10, PersonReactionRange = 10,
  Armor = 10, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  MaxAttackRange = 10,
  Priority = 10, AnnoyComputerFactor = 45,
  Points = 200,
  BuilderOutside = true,
  Transporter = true,
  AttackFromTransporter = true,
  MaxOnBoard = 2,
  Supply = 6,
  Corpse = {"unit-destroyed-3x3-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

DefineUnitType("unit-dwarves-farm", { Name = "Farm",
  Files = {"tileset-summer", "dwarves/buildings/farm.png"},
  Size = {128, 128},
  Animations = "animations-building", Icon = "icon-dwarves-farm",
  Costs = {"time", 100, "gold", 650, "wood", 250, "stone", 50},
  RepairHp = 10,
  RepairCosts = {"gold", 3, "wood", 1},
  Construction = "construction-dwarves-farm",
  HitPoints = 1200,
  DrawLevel = 20,
  TileSize = {4, 4}, BoxSize = {128, 128},
  SightRange = 4,
  Armor = 15, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 15, AnnoyComputerFactor = 50,
  Points = 250,
  BuilderOutside = true,
  Transporter = true,
  MaxOnBoard = 4,
  AttackFromTransporter = true,
  Supply = 10,
  ImproveProduction = {"wood", 20},
  CanStore = {"wood"},
  Corpse = {"unit-destroyed-4x4-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

DefineUnitType("unit-dwarves-farm2", { Name = "Farm",
  Files = {"tileset-summer", "dwarves/buildings/farm.png"},
  Size = {128, 128},
  Animations = "animations-building", Icon = "icon-dwarves-farm",
  Costs = {"time", 100, "gold", 650, "wood", 250, "stone", 50},
  RepairHp = 10,
  RepairCosts = {"gold", 3, "wood", 1},
  Construction = "construction-dwarves-farm",
  HitPoints = 1400,
  DrawLevel = 20,
  TileSize = {4, 4}, BoxSize = {128, 128},
  SightRange = 4,
  Armor = 15, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 15, AnnoyComputerFactor = 50,
  Points = 250,
  BuilderOutside = true,
  Transporter = true,
  AttackFromTransporter = true,
  MaxOnBoard = 4,
  Supply = 15,
  ImproveProduction = {"wood", 20},
  CanStore = {"wood"},
  Corpse = {"unit-destroyed-4x4-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

DefineUnitType("unit-dwarves-blacksmith", { Name = "Blacksmith",
  Files = {"tileset-summer", "dwarves/buildings/blacksmith.png"},
  Size = {128, 128},
  Animations = "animations-building", Icon = "icon-dwarves-blacksmith",
  Costs = {"time", 250, "gold", 1600, "wood", 250},
  RepairHp = 2,
  RepairCosts = {"gold", 3, "wood", 1},
  Construction = "construction-dwarves-blacksmith",
  HitPoints = 1200,
  DrawLevel = 20,
  TileSize = {4, 4}, BoxSize = {126, 126},
  SightRange = 2,
  Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 30, AnnoyComputerFactor = 45,
  Points = 200,
  BuilderOutside = true,
  Corpse = {"unit-destroyed-4x4-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-blacksmith-selected"} } )

DefineUnitType("unit-dwarves-blacksmith2", { Name = "Advanced Blacksmith",
  Files = {"tileset-summer", "dwarves/buildings/blacksmith.png"},
  Size = {128, 128},
  Animations = "animations-building", Icon = "icon-dwarves-blacksmith",
  Costs = {"time", 300, "gold", 5000, "wood", 250, "iron", 500, "stone", 500},
  RepairHp = 5,
  RepairCosts = {"gold", 3, "wood", 1},
  Construction = "construction-dwarves-blacksmith",
  HitPoints = 2500,
  DrawLevel = 20,
  TileSize = {4, 4}, BoxSize = {126, 126},
  SightRange = 2,
  Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 30, AnnoyComputerFactor = 45,
  Points = 200,
  BuilderOutside = true,
  Corpse = {"unit-destroyed-4x4-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-blacksmith-selected"} } )

if (cartoonish_graphics) then
  DefineUnitType("unit-dwarves-blacksmith", { Name = "Blacksmith",
    Files = {"tileset-summer", "cartoonish/dwarves/buildings/blacksmith.png"},
    Size = {128, 128},
    Animations = "animations-building", Icon = "icon-dwarves-blacksmith",
    Costs = {"time", 250, "gold", 1600, "wood", 250},
    RepairHp = 2,
    RepairCosts = {"gold", 3, "wood", 1},
    Construction = "construction-dwarves-blacksmith",
    HitPoints = 1200,
    DrawLevel = 20,
    TileSize = {4, 4}, BoxSize = {126, 126},
    SightRange = 2,
    Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
    Priority = 30, AnnoyComputerFactor = 45,
    Points = 200,
    BuilderOutside = true,
    Corpse = {"unit-destroyed-4x4-place", 0},
    ExplodeWhenKilled = "missile-explosion",
    Type = "land",
    Building = true, VisibleUnderFog = true,
    Sounds = {
      "selected", "dwarves-blacksmith-selected"} } )

DefineUnitType("unit-dwarves-blacksmith2", { Name = "Advanced Blacksmith",
  Files = {"tileset-summer", "cartoonish/dwarves/buildings/blacksmith.png"},
  Size = {128, 128},
  Animations = "animations-building", Icon = "icon-dwarves-blacksmith",
  Costs = {"time", 300, "gold", 5000, "wood", 250, "iron", 500, "stone", 500},
  RepairHp = 5,
  RepairCosts = {"gold", 3, "wood", 1},
  Construction = "construction-dwarves-blacksmith",
  HitPoints = 2500,
  DrawLevel = 20,
  TileSize = {4, 4}, BoxSize = {126, 126},
  SightRange = 2,
  Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 30, AnnoyComputerFactor = 45,
  Points = 200,
  BuilderOutside = true,
  Corpse = {"unit-destroyed-4x4-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-blacksmith-selected"} } )
end
    
DefineUnitType("unit-dwarves-lumber-mill", { Name = "Lumber mill",
  Files = {"tileset-summer", "dwarves/buildings/lumber-mill.png"},
  Size = {192, 192},
  Animations = "animations-dwarves-lumber-mill", Icon = "icon-dwarves-lumber-mill",
  Costs = {"time", 300, "gold", 1500, "wood", 100},
  RepairHp = 2,
  RepairCosts = {"gold", 3, "wood", 3},
  Construction = "construction-dwarves-lumber-mill",
  HitPoints = 750,
  DrawLevel = 20,
  TileSize = {5, 5}, BoxSize = {190, 190},
  SightRange = 2,
  Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 30, AnnoyComputerFactor = 45,
  Points = 150,
  ImproveProduction = {"wood", 50},
  CanStore = {"wood"},
  BuilderOutside = true,
  Corpse = {"unit-destroyed-5x5-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

if (cartoonish_graphics) then
  DefineUnitType("unit-dwarves-lumber-mill", { Name = "Lumber mill",
    Files = {"tileset-summer", "cartoonish/dwarves/buildings/lumber-mill.png"},
    Size = {192, 192},
    Animations = "animations-building", Icon = "icon-dwarves-lumber-mill",
    Costs = {"time", 300, "gold", 1500, "wood", 100},
    RepairHp = 2,
    RepairCosts = {"gold", 3, "wood", 3},
    Construction = "construction-dwarves-lumber-mill",
    HitPoints = 750,
    DrawLevel = 20,
    TileSize = {5, 5}, BoxSize = {190, 190},
    SightRange = 2,
    Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
    Priority = 30, AnnoyComputerFactor = 45,
    Points = 150,
    ImproveProduction = {"wood", 50},
    CanStore = {"wood"},
    BuilderOutside = true,
    Corpse = {"unit-destroyed-5x5-place", 0},
    ExplodeWhenKilled = "missile-explosion",
    Type = "land",
    Building = true, VisibleUnderFog = true } )
end

DefineUnitType("unit-dwarves-market", { Name = "Market",
  Files = {"tileset-summer", "dwarves/buildings/market.png"},
  Size = {160, 160},
  Animations = "animations-building", Icon = "icon-dwarves-market",
  Costs = {"time", 300, "gold", 2000, "wood", 500},
  RepairHp = 2,
  RepairCosts = {"gold", 6, "wood", 6},
  Construction = "construction-dwarves-market",
  HitPoints = 500,
  DrawLevel = 20,
  TileSize = {5, 5}, BoxSize = {158, 158},
  SightRange = 1,
  Armor = 5, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 30, AnnoyComputerFactor = 100,
  Points = 50,
  ImproveProduction = {"gold", 50, "wood", 25},
  CanStore = {"gold", "wood", "stone", "iron"},
  BuilderOutside = true,
  Corpse = {"unit-destroyed-5x5-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-market-selected"} } )

if cartoonish_graphics then
DefineUnitType("unit-dwarves-market", { Name = "Market",
  Files = {"tileset-summer", "cartoonish/dwarves/buildings/market.png"},
  Size = {160, 160},
  Animations = "animations-building", Icon = "icon-dwarves-market",
  Costs = {"time", 300, "gold", 2000, "wood", 500},
  RepairHp = 2,
  RepairCosts = {"gold", 6, "wood", 6},
  Construction = "construction-dwarves-market",
  HitPoints = 500,
  DrawLevel = 20,
  TileSize = {5, 5}, BoxSize = {158, 158},
  SightRange = 1,
  Armor = 5, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 30, AnnoyComputerFactor = 100,
  Points = 50,
  ImproveProduction = {"gold", 50, "wood", 25},
  CanStore = {"gold", "wood", "stone", "iron"},
  BuilderOutside = true,
  Corpse = {"unit-destroyed-5x5-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-market-selected"} } )
end

DefineUnitType("unit-dwarves-mining-post", { Name = "Mining post",
  Files = {"tileset-summer", "dwarves/buildings/mining-post.png"},
  Size = {192, 192},
  Animations = "animations-building", Icon = "icon-dwarves-mining-post",
  Costs = {"time", 500, "gold", 4000, "stone", 2000},
  RepairHp = 5,
  RepairCosts = {"gold", 2, "stone", 2},
  Construction = "construction-dwarves-market",
  HitPoints = 2500,
  DrawLevel = 20,
  TileSize = {6, 6}, BoxSize = {190, 190},
  SightRange = 1,
  Armor = 5, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 30, AnnoyComputerFactor = 100,
  Points = 50,
  CanStore = {"gold", "wood", "stone", "iron", "titanium", "oil"},
  BuilderOutside = true,
  Corpse = {"unit-destroyed-6x6-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true})

DefineUnitType("unit-dwarves-mining-post2", { Name = "Mining post",
  Files = {"tileset-summer", "dwarves/buildings/mining-post.png"},
  Size = {192, 192},
  Animations = "animations-building", Icon = "icon-dwarves-mining-post",
  Costs = {"time", 500, "gold", 4000, "stone", 2000},
  RepairHp = 5,
  RepairCosts = {"gold", 2, "stone", 2},
  Construction = "construction-dwarves-market",
  ImproveProduction = {"gold", 150, "wood", 150, "stone", 100, "iron", 100},
  HitPoints = 2500,
  DrawLevel = 20,
  TileSize = {6, 6}, BoxSize = {190, 190},
  SightRange = 1,
  Armor = 5, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 30, AnnoyComputerFactor = 100,
  Points = 50,
  CanStore = {"gold", "wood", "stone", "iron", "titanium", "oil"},
  BuilderOutside = true,
  Corpse = {"unit-destroyed-6x6-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true})

DefineUnitType("unit-dwarves-town-hall", { Name = "Town hall",
  Files = {"tileset-summer", "dwarves/buildings/town-hall.png"},
  Size = {256, 256},
  Animations = "animations-building", Icon = "icon-dwarves-town-hall",
  Costs = {"time", 400, "gold", 3000, "wood", 1250},
  RepairHp = 10,
  RepairCosts = {"gold", 3},
  Construction = "construction-dwarves-town-hall",
  HitPoints = 4000,
  DrawLevel = 20,
  TileSize = {8, 8}, BoxSize = {252, 252},
  SightRange = 6,
  ImproveProduction = {"gold", 75},
  Armor = 50, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 50, AnnoyComputerFactor = 60,
  Points = 500,
  BuilderOutside = true,
  Supply = 10,
  CanStore = {"gold", "wood", "stone", "iron", "oil", "titanium"},
  Corpse = {"unit-destroyed-8x8-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true} )

if (cartoonish_graphics) then
  DefineUnitType("unit-dwarves-town-hall", { Name = "Town hall",
    Files = {"tileset-summer", "cartoonish/dwarves/buildings/town-hall.png"},
    Size = {256, 256},
    Animations = "animations-building", Icon = "icon-dwarves-town-hall",
    Costs = {"time", 400, "gold", 3000, "wood", 1250},
    RepairHp = 10,
    RepairCosts = {"gold", 3},
    Construction = "construction-dwarves-town-hall",
    HitPoints = 4000,
    DrawLevel = 20,
    TileSize = {8, 8}, BoxSize = {252, 252},
    SightRange = 6,
    ImproveProduction = {"gold", 75},
    Armor = 50, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
    Priority = 50, AnnoyComputerFactor = 60,
    Points = 500,
    BuilderOutside = true,
    Supply = 10,
    CanStore = {"gold", "wood", "stone", "iron", "oil", "titanium"},
    Corpse = {"unit-destroyed-8x8-place", 0},
    ExplodeWhenKilled = "missile-explosion",
    Type = "land",
    Building = true, VisibleUnderFog = true } )
end

DefineUnitType("unit-dwarves-city-hall", { Name = "City hall",
  Files = {"tileset-summer", "dwarves/buildings/city-hall.png"},
  Size = {256, 256},
  Animations = "animations-building", Icon = "icon-dwarves-city-hall",
  Costs = {"time", 600, "gold", 5000, "wood", 1500, "stone", 1000},
  RepairHp = 30,
  RepairCosts = {"gold", 5},
  Construction = "construction-dwarves-city-hall",
  HitPoints = 10000,
  DrawLevel = 20,
  TileSize = {8, 8}, BoxSize = {252, 252},
  SightRange = 20,
  ImproveProduction = {"gold", 100, "wood", 100, "stone", 50, "iron", 50},
  Armor = 10, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 50, AnnoyComputerFactor = 60,
  Points = 500,
  BuilderOutside = true,
  Supply = 30,
  CanStore = {"gold", "wood", "stone", "iron", "oil", "titanium"},
  Corpse = {"unit-destroyed-8x8-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

if (cartoonish_graphics) then
  DefineUnitType("unit-dwarves-city-hall", { Name = "City hall",
    Files = {"tileset-summer", "cartoonish/dwarves/buildings/city-hall.png"},
    Size = {256, 256},
    Animations = "animations-building", Icon = "icon-dwarves-city-hall",
    Costs = {"time", 600, "gold", 5000, "wood", 1500, "stone", 1000},
    RepairHp = 30,
    RepairCosts = {"gold", 5},
    Construction = "construction-dwarves-city-hall",
    HitPoints = 10000,
    DrawLevel = 20,
    TileSize = {8, 8}, BoxSize = {252, 252},
    SightRange = 20,
    ImproveProduction = {"gold", 100, "wood", 100, "stone", 50, "iron", 50},
    Armor = 10, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
    Priority = 50, AnnoyComputerFactor = 60,
    Points = 500,
    BuilderOutside = true,
    Supply = 30,
    CanStore = {"gold", "wood", "stone", "iron", "oil", "titanium"},
    Corpse = {"unit-destroyed-8x8-place", 0},
    ExplodeWhenKilled = "missile-explosion",
    Type = "land",
    Building = true, VisibleUnderFog = true} )
end

DefineUnitType("unit-dwarves-temple", { Name = "Temple",
  Files = {"tileset-summer", "dwarves/buildings/temple.png"},
  Size = {256, 256},
  Animations = "animations-building", Icon = "icon-dwarves-temple",
  Costs = {"time", 600, "gold", 5000, "wood", 1500, "stone", 1000},
  RepairHp = 10,
  RepairCosts = {"gold", 5},
  Construction = "construction-dwarves-temple",
  HitPoints = 1000,
  DrawLevel = 20,
  TileSize = {8, 8}, BoxSize = {252, 252},
  SightRange = 20,
  Armor = 10, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 50, AnnoyComputerFactor = 60,
  Points = 500,
  BuilderOutside = true,
  Supply = 30,
  Corpse = {"unit-destroyed-8x8-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-temple-selected"} })

DefineUnitType("unit-dwarves-stone-wall", { Name = "Wall",
  Files = {"tileset-summer", "dwarves/buildings/wall.png"},
  Size = {96, 96},
  Animations = "animations-building", Icon = "icon-dwarves-wall",
  Costs = {"time", 100, "gold", 250, "stone", 750},
  RepairHp = 10,
  RepairCosts = {"stone", 2},
  Construction = "construction-dwarves-wall",
  HitPoints = 2500,
  DrawLevel = 20,
  TileSize = {3, 3}, BoxSize = {94, 94},
  SightRange = 2,
  Armor = 75, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 10, AnnoyComputerFactor = 45,
  Points = 250,
  BuilderOutside = true,
  Transporter = true,
  AttackFromTransporter = true,
  MaxOnBoard = 2,
  Corpse = {"unit-destroyed-3x3-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

DefineUnitType("unit-dwarves-bunker", { Name = "Bunker",
  Files = {"tileset-summer", "dwarves/buildings/bunker.png"},
  Size = {96, 96},
  Animations = "animations-building", Icon = "icon-dwarves-bunker",
  Costs = {"time", 150, "gold", 250, "stone", 250, "iron", 150},
  RepairHp = 30,
  RepairCosts = {"stone", 4},
  Construction = "construction-dwarves-bunker",
  HitPoints = 5000,
  DrawLevel = 20,
  TileSize = {3, 3}, BoxSize = {94, 94},
  SightRange = 2,
  Armor = 200, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 10, AnnoyComputerFactor = 45,
  Points = 250,
  BuilderOutside = true,
  Transporter = true,
  MaxOnBoard = 6,
  AttackFromTransporter = true,
  Corpse = {"unit-destroyed-3x3-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )
    
DefineUnitType("unit-dwarves-shipyard", { Name = "Shipyard",
  Files = {"tileset-summer", "dwarves/buildings/shipyard.png"},
  Size = {192, 192},
  Animations = "animations-building", Icon = "icon-dwarves-shipyard",
  Costs = {"time", 500, "gold", 3000, "wood", 700},
  RepairHp = 10,
  RepairCosts = {"gold", 3},
  Construction = "construction-dwarves-shipyard",
  HitPoints = 1200,
  DrawLevel = 20,
  TileSize = {6, 6}, BoxSize = {190, 190},
  SightRange = 4,
  Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 35, AnnoyComputerFactor = 45,
  Points = 200,
  BuilderOutside = true,
  ShoreBuilding = true,
  CanStore = {"oil"},
  Corpse = {"unit-destroyed-6x6-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-shipyard-selected"}})

if (cartoonish_graphics) then
DefineUnitType("unit-dwarves-shipyard", { Name = "Shipyard",
  Files = {"tileset-summer", "cartoonish/dwarves/buildings/shipyard.png"},
  Size = {192, 192},
  Animations = "animations-building", Icon = "icon-dwarves-shipyard",
  Costs = {"time", 500, "gold", 3000, "wood", 700},
  RepairHp = 10,
  RepairCosts = {"gold", 3},
  Construction = "construction-dwarves-shipyard",
  HitPoints = 1200,
  DrawLevel = 20,
  TileSize = {6, 6}, BoxSize = {190, 190},
  SightRange = 4,
  Armor = 30, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 35, AnnoyComputerFactor = 45,
  Points = 200,
  BuilderOutside = true,
  ShoreBuilding = true,
  CanStore = {"oil"},
  Corpse = {"unit-destroyed-6x6-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-shipyard-selected"}})
end

DefineUnitType("unit-dwarves-heros-guild", { Name = "Hero's guild",
  Files = {"tileset-summer", "dwarves/buildings/heros-guild.png"},
  Size = {256, 256},
  Animations = "animations-building", Icon = "icon-dwarves-heros-guild",
  Costs = {"time", 400, "gold", 6000, "iron", 1000, "stone", 2500},
  RepairHp = 20,
  RepairCosts = {"gold", 5, "iron", 2},
  Construction = "construction-dwarves-heros-guild",
  HitPoints = 2000,
  DrawLevel = 20,
  TileSize = {8, 8}, BoxSize = {254, 254},
  SightRange = 10,
  Armor = 50, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 45, AnnoyComputerFactor = 45,
  Points = 300,
  BuilderOutside = true,
  Supply = 3,
  Corpse = {"unit-destroyed-8x8-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true,
  Sounds = {
    "selected", "dwarves-barracks-barracks"} } )

DefineUnitType("unit-human-wall", { Name = "Wall",
  Files = {"tileset-summer", "neutral/buildings/wall.png"},
  Size = {32, 32},
  HitPoints = 255,
  Animations = "animations-building", Icon = "icon-wall",
  Costs = {"time", 30, "gold", 20, "wood", 10},
  Construction = "construction-wall",
  DrawLevel = 39,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 1,
  Armor = 20, BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 0, AnnoyComputerFactor = 45,
  Points = 1,
  Corpse = {"unit-destroyed-1x1-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  Type = "land",
  Building = true, VisibleUnderFog = true } )

DefineUnitType("unit-dwarves-start-location", { Name = "Start Location",
  Files = {"tileset-summer", "dwarves/x_startpoint.png"},
  Size = {32, 32},
  Animations = "animations-building", Icon = "icon-cancel",
  NumDirections = 1,
  Corpse = {"unit-destroyed-1x1-place", 0},
  ExplodeWhenKilled = "missile-explosion",
  HitPoints = 1,
  DrawLevel = 0,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 0,
  BasicDamage = 0, PiercingDamage = 0, Missile = "missile-none",
  Priority = 0,
  Demand = 0,
  Type = "land" } )

DefineUnitType("unit-dwarf", { Name = "Dwarf",
  Files = {"tileset-summer", "dwarves/units/dwarves-worker.png"},
  Size = {72, 72},
  Animations = "animations-worker", Icon = "icon-dwarves-advanced-worker2",
  Costs = {"time", 75, "gold", 400},
  Speed = 10,
  HitPoints = 150,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 4, ComputerReactionRange = 2, PersonReactionRange = 2,
  Armor = 4, BasicDamage = 6, PiercingDamage = 6, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 50,
  Points = 30,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true, RepairRange = 1,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true})

DefineUnitType("unit-dwarf-leader", { Name = "Dwarf leader",
  Files = {"tileset-summer", "dwarves/units/dwarves-warrior.png"},
  Size = {72, 72},
  Animations = "animations-footman", Icon = "icon-dwarves-advanced-warrior",
  Costs = {"time", 75, "gold", 400},
  Speed = 10,
  HitPoints = 250,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 8, ComputerReactionRange = 2, PersonReactionRange = 2,
  Armor = 10, BasicDamage = 30, PiercingDamage = 10, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 40,
  Points = 30,
  Demand = 1,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true, RepairRange = 1,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true})

DefineUnitType("unit-hrimblid", { Name = "Hrimblid",
  Files = {"tileset-summer", "dwarves/units/dwarves-warrior.png"},
  Size = {72, 72},
  Animations = "animations-warrior-hero", Icon = "icon-hrimblid",
  Costs = {"time", 80000, "gold", 750000, "iron", 500000},
  HitPoints = 1000,
  RegenerationRate = 2,
  DrawLevel = 40,
  TileSize = {1, 1}, BoxSize = {31, 31},
  SightRange = 10, ComputerReactionRange = 5, PersonReactionRange = 5,
  Armor = 15, BasicDamage = 45, PiercingDamage = 15, Missile = "missile-none",
  MaxAttackRange = 1,
  Priority = 500,
  Points = 5000,
  Demand = 0,
  Corpse = {"unit-dead-body", 1},
  Type = "land",
  RightMouseAction = "attack",
  CanAttack = true,
  CanTargetLand = true,
  LandUnit = true,
  organic = true,
  SelectableByRectangle = true } )
